- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxProcessorShaderDependency::FileDeleter Class Reference

Search for all occurrences

## Detailed Description

Definition at line 94 of file fbxprocessorshaderdependency.h.

`#include <fbxprocessorshaderdependency.h>`

List of all members.

## Public Member Functions
| FileDeleter (const char *pFileUrl)
| ~FileDeleter ()
void | Release ()

## Constructor & Destructor Documentation

FileDeleter | ( | const char * | pFileUrl | ) | `[inline]`

Definition at line 97 of file fbxprocessorshaderdependency.h.

    : mFileUrl( pFileUrl) {};

~FileDeleter | ( |  | ) | `[inline]`

Definition at line 98 of file fbxprocessorshaderdependency.h.

                {
                    if( !mFileUrl.IsEmpty() )
                    {
                        remove( mFileUrl );
                    }
                };

## Member Function Documentation

void Release | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 106 of file fbxprocessorshaderdependency.h.

    { mFileUrl = ""; }

The documentation for this class was generated from the following file:

- fbxsdk/utils/fbxprocessorshaderdependency.h

FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter
FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter FbxProcessorShaderDependency::FileDeleter